<ion-header translucent class="ion-no-border">
  <ion-toolbar class="title_bar">
    <ion-title class="white mt-5" size="large">Payments</ion-title>
    <div class="row btn">
    <div slot="end" style="margin-right: 20px;margin-top: -12px;">
    
      <ion-chip outline="true" color="white"  (click)="Building()" [ngClass]="{'btn_color':  building1=== true}">
        <ion-icon name="business-outline"></ion-icon>
        <ion-label>Building</ion-label>
      </ion-chip>
    </div>
    </div>




    <div *ngIf="building1">
    

    <div class="row mt-5 padding">
      
  
      <div>
        <ion-searchbar   [formControl]="myControl1" value={{this.searchvalue}} name="fname"></ion-searchbar>
      </div>
      <div>
    
        <div class="over" >
          <p class="p_tag" *ngFor='let building of buildingarray' (click)="filter(building.building_name)"><span>{{building.building_name}}</span>,  {{building.location}}</p>
        </div>

    </div>
  </div>
    </div>
 
  </ion-toolbar>
</ion-header>


<!-- <label for="fname" class="searchsttyle">Search</label><br>
      <input type="text" id="fname" [formControl]="myControl"  name="fname"><i class="fas fa-search"></i><br><br>
    -->









<ion-content>
  <div class="background">
    <div class="content">
      <!-- <ion-grid *ngIf="!(allJobs.length>0)" class="noList">
        <ion-row align-items-center>
          <ion-col>
            <div class="noItemFound">
              <h2>No Payments to collect</h2>
            </div>
          </ion-col>
        </ion-row>
      </ion-grid> -->

      <div *ngFor='let job of location' class="payment_card">
        <p class="building_title">{{job.building_name}},{{job.location}}</p>
        <ion-row *ngFor='let vehicle of job.vehicles'>
          <ion-col size='4' style="margin-left: 10px;">
            <img src="/assets/images/money.svg" alt="" srcset="" height="63px">
            <!-- <ion-icon name="alert" class="pending-icon" *ngIf="vehicle.status=='Pending'"></ion-icon> -->
            <img src="/assets/images/vehicle_pending.svg" alt="" srcset="" class="pending-icon"
              *ngIf="vehicle.status!='completed'||(vehicle.status=='completed'&& vehicle.startmonth>=currentmonth)">
            <!-- <img src="/assets/images/vehicle_done.png" alt="" srcset=""  class="completed-icon"  *ngIf="vehicle.status=='Completed'"> -->
            <img src="/assets/images/vehicle_done.png" alt="" srcset="" class="completed1-icon"
              *ngIf="vehicle.status=='completed'&&(vehicle.status=='completed'&& vehicle.startmonth<currentmonth)">
            <!-- <ion-icon name="checkmark-circle" class="completed-icon" [style.color]="'#28F714'"
            *ngIf="vehicle.status=='Completed'"></ion-icon> -->
          </ion-col>
          <ion-col size='6' style="margin-left: -31px;margin-top: 18px;">
            <p style="margin-top: -17px; font-size: 22px;">{{vehicle.carnumber}}</p>
            <p style="margin-top:-18px;">Parking:{{vehicle.parkingno}}</p>
            <p style="margin-top:-13px;">Flat {{vehicle.flat_no}}</p>

            <p style="margin-top: -12px;">
              <ion-icon name="today-outline" style="height: 19px;"></ion-icon>
              Date: {{vehicle.ws_date}}
            </p>
          </ion-col>
          <ion-col class="amount_row" *ngIf="vehicle.status!='completed'||(vehicle.status=='completed'&& vehicle.startmonth>=currentmonth)">
            <ion-row>
              <span>{{vehicle.due_amount | currency:' د.إ':'symbol':'1.0-0'}}</span>
            </ion-row>
            <ion-row *ngIf="vehicle.due_amount == 0 && vehicle.amount_paid != 0">
              <p style="font-size: 15px;margin: 12px 0px -34px -50px;">Adv: + {{vehicle.amount_paid | currency:' د.إ':'symbol':'1.0-0'}}</p>
            </ion-row>
            <ion-row class="collect_row" (click)='presentModal(vehicle)' *ngIf="vehicle.status!='completed'||(vehicle.status=='completed'&& vehicle.startmonth>=currentmonth)">
              <ion-icon name="checkmark-circle" class="assigned-icon" [style.color]="'#28F714'"></ion-icon>
              <span>Collect</span>
            </ion-row>

            <!-- <ion-row class="amount_row" *ngIf="vehicle.status!='completed'" >
            <p>د.إ {{vehicle.amount_charged-vehicle.amount_paid}}</p>
          </ion-row> -->
            <!-- <ion-row class="collect_row" (click)='presentModal(vehicle)'  *ngIf="vehicle.status!='completed'">
            <ion-icon name="checkmark-circle" class="assigned-icon" [style.color]="'#28F714'"></ion-icon> -->
            <!-- <img src="/assets/images/vehicle_done.png" alt="" srcset=""  class="assigned-icon"> -->
            <!-- <span>Collect</span> -->
            <!-- </ion-row> -->


          </ion-col>
          <hr style="border-width: 1px;width: 100%;margin-top: -10px;">
        </ion-row>
        <!-- <hr style="border-width: 2px;"> -->

      </div>

    </div>

  </div>


</ion-content>